cURL
curl --request GET \
--url https://api.buildwithchirp.com/v1/whatsapp/phone-numbers/{phoneNumberId}/settings \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.buildwithchirp.com/v1/whatsapp/phone-numbers/{phoneNumberId}/settings"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.buildwithchirp.com/v1/whatsapp/phone-numbers/{phoneNumberId}/settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"calling": {
"status": "enabled",
"callIconVisibility": "visible",
"video": {
"status": "enabled"
},
"ipAddresses": [
"192.168.1.1"
],
"callbackPermissionStatus": "granted",
"sip": {
"server": "sip.example.com",
"username": "user123"
}
},
"userIdentityChange": {
"enableIdentityKeyCheck": true
},
"payloadEncryption": {
"status": "disabled",
"clientEncryptionKeyFingerprint": "<string>",
"cloudEncryptionKey": "<string>"
},
"storageConfiguration": {
"status": "default",
"dataLocalizationRegion": "US"
}
}{
"error": {
"type": "invalid_request_error",
"message": "The phone number \"+1abc\" is not in E.164 format.",
"code": "invalid_phone_number",
"doc_url": "https://docs.buildwithchirp.com/api_reference/error-codes#invalid_phone_number",
"param": "from",
"provider": {
"source": "meta",
"code": 123,
"message": "<string>",
"fbtrace_id": "<string>",
"health_status": {
"entities": [
{
"id": "<string>",
"can_send_message": "AVAILABLE",
"errors": [
{
"error_code": 123,
"error_description": "<string>",
"possible_solution": "<string>"
}
]
}
]
}
},
"additional_info": [
"<string>"
]
}
}{
"error": {
"type": "invalid_request_error",
"message": "The phone number \"+1abc\" is not in E.164 format.",
"code": "invalid_phone_number",
"doc_url": "https://docs.buildwithchirp.com/api_reference/error-codes#invalid_phone_number",
"param": "from",
"provider": {
"source": "meta",
"code": 123,
"message": "<string>",
"fbtrace_id": "<string>",
"health_status": {
"entities": [
{
"id": "<string>",
"can_send_message": "AVAILABLE",
"errors": [
{
"error_code": 123,
"error_description": "<string>",
"possible_solution": "<string>"
}
]
}
]
}
},
"additional_info": [
"<string>"
]
}
}{
"error": {
"type": "invalid_request_error",
"message": "The phone number \"+1abc\" is not in E.164 format.",
"code": "invalid_phone_number",
"doc_url": "https://docs.buildwithchirp.com/api_reference/error-codes#invalid_phone_number",
"param": "from",
"provider": {
"source": "meta",
"code": 123,
"message": "<string>",
"fbtrace_id": "<string>",
"health_status": {
"entities": [
{
"id": "<string>",
"can_send_message": "AVAILABLE",
"errors": [
{
"error_code": 123,
"error_description": "<string>",
"possible_solution": "<string>"
}
]
}
]
}
},
"additional_info": [
"<string>"
]
}
}WhatsApp Phone Settings
Get phone settings
Get advanced phone settings including calling, encryption, and storage configuration
GET
/
v1
/
whatsapp
/
phone-numbers
/
{phoneNumberId}
/
settings
cURL
Authorizations
App API key (format: sk_live_app_* or sk_test_app_*) for app-level operations
Path Parameters
WhatsApp phone number ID (internal Chirp ID)
Example:
"wapn_2DbBs7GWhGvVNJGrDXr5RG0mBWI"
Response
Phone settings retrieved successfully
Calling settings
Show child attributes
Show child attributes
User identity change settings
Show child attributes
Show child attributes
Payload encryption settings
Show child attributes
Show child attributes
Storage configuration settings
Show child attributes
Show child attributes
⌘I